Techomick
Mechanical
- Jun 21, 2011
- 46
Yes, I agree that the title sounds like this should be an easy question, but it has left me confused.
I have two notes, one from a migrated drawing from I-DEAS (migrated with CMM) and another one created inside NX. The issues is that when I insert a user defined symbol which has anchors in the dead center of the symbol it increases the spacing of the line above in the NX note but not the migrated note.
I have compared all the properties inside the notes and they are identical, I even checked the MPI & MPR arrays programmatically using the following journal.
Can someone please let me know how to make the NX note spacing look like the note from the migrated drawing?
Design Engineer, NX 8.5
I have two notes, one from a migrated drawing from I-DEAS (migrated with CMM) and another one created inside NX. The issues is that when I insert a user defined symbol which has anchors in the dead center of the symbol it increases the spacing of the line above in the NX note but not the migrated note.
I have compared all the properties inside the notes and they are identical, I even checked the MPI & MPR arrays programmatically using the following journal.
Can someone please let me know how to make the NX note spacing look like the note from the migrated drawing?
Code:
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Module NXJournal
Sub Main (ByVal args() As String)
Dim theSession As Session = Session.GetSession()
Dim theUFSession As UFSession = UFSession.GetUFSession()
Dim theUI As UI = UI.GetUI()
Dim mpi(99) As Integer
Dim mpr(69) As Double
Dim radius_value As String = Nothing
Dim diameter_value As String = Nothing
Dim numObjects As Integer = theUI.SelectionManager.GetNumSelectedObjects()
Dim markId1 As Session.UndoMarkId
markId1 = theSession.SetUndoMark(Session.MarkVisibility.Visible, "Edit Dimension")
For i As Integer = 0 To numObjects - 1
Dim nXObject1 As NXObject = theUI.SelectionManager.GetSelectedObject(i)
Try
theUFSession.Drf.AskObjectPreferences(nXObject1.Tag, mpi, mpr, _
radius_value, diameter_value)
Dim n As Integer = 0
Do
Echo("MPI " & n & ": " & mpi(n))
n+=1
Loop Until n = 100
Echo("")
n = 0
Do
Echo("MPR " & n & ": " & mpr(n))
n+=1
Loop Until n = 70
Catch eX As NXException
Echo(eX.ToString)
End Try
Next
Dim nErrs1 As Integer
nErrs1 = theSession.UpdateManager.DoUpdate(markId1)
End Sub
Sub Echo(input As String)
Dim s As Session = Session.GetSession()
Dim lw As ListingWindow = s.ListingWindow
lw.Open()
lw.WriteLine(input)
End Sub
Design Engineer, NX 8.5